<html>
<head>
<title>Ogre::FileSystemArchive Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1FileSystemArchive.html">FileSystemArchive</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="#pub-static-attribs">Static Public Attributes</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::FileSystemArchive Class Reference<div class="ingroups"><a class="el" href="group__Resources.html">Resources</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::FileSystemArchive" --><!-- doxytag: inherits="Ogre::Archive" -->
<p>Specialisation of the <a class="el" href="classOgre_1_1Archive.html" title="Archive-handling class.">Archive</a> class to allow reading of files from filesystem folders / directories.  
 <a href="classOgre_1_1FileSystemArchive.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreFileSystem_8h_source.html">OgreFileSystem.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::FileSystemArchive:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1FileSystemArchive__inherit__graph.gif" border="0" usemap="#Ogre_1_1FileSystemArchive_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1FileSystemArchive_inherit__map" id="Ogre_1_1FileSystemArchive_inherit__map">
<area shape="rect" id="node2" href="classOgre_1_1Archive.html" title="Archive&#45;handling class." alt="" coords="39,83,140,112"/><area shape="rect" id="node4" href="classOgre_1_1AllocatedObject.html" title="Superclass for all objects that wish to use custom memory allocators when their new / delete operator..." alt="" coords="43,5,136,35"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1FileSystemArchive-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1FileSystemArchive.html#ad111ff8850ae6536219562a5906dc6de">FileSystemArchive</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name, const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;archType)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1FileSystemArchive.html#ad89960cb80cf490a23cab7b909ffa092">~FileSystemArchive</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1FileSystemArchive.html#ac3a99075db0a1e06ee0a856dfa05f5a9">isCaseSensitive</a> (void) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1FileSystemArchive.html#af3fbf5feb7c3875831d22808b3545d75">load</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1FileSystemArchive.html#a8364eb430fccfbe249b64c0dd29c2cb5">unload</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__Resources.html#ga8a2a961b4205aacff9c01e81e08d7781">DataStreamPtr</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1FileSystemArchive.html#a53b2148b88615cbeeabe7ea33125367e">open</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;filename, bool readOnly=true) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__Resources.html#ga8a2a961b4205aacff9c01e81e08d7781">DataStreamPtr</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1FileSystemArchive.html#ac58470bd175ac96f8ff85a8e40f39cb5">create</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;filename) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1FileSystemArchive.html#a8576281dcd1f2714458bf729bc8f497a">remove</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;filename) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__General.html#gae6b84ceebcdcc285f37bf9fba216697d">StringVectorPtr</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1FileSystemArchive.html#a5907d6e8da20de62af12d564d9fbd279">list</a> (bool recursive=true, bool dirs=false)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__Resources.html#ga98a851530d714bac278ff907738ac643">FileInfoListPtr</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1FileSystemArchive.html#aebb587510a65222aca84fa6f8eb69e0f">listFileInfo</a> (bool recursive=true, bool dirs=false)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__General.html#gae6b84ceebcdcc285f37bf9fba216697d">StringVectorPtr</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1FileSystemArchive.html#a47dc8d47bb6a6738a85f62f816bfd7f8">find</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;pattern, bool recursive=true, bool dirs=false)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__Resources.html#ga98a851530d714bac278ff907738ac643">FileInfoListPtr</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1FileSystemArchive.html#a10778a57909649da7e62a6eff23e4a43">findFileInfo</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;pattern, bool recursive=true, bool dirs=false) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1FileSystemArchive.html#afa703d83c696b6b78dc7efe8114e468e">exists</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;filename)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">time_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1FileSystemArchive.html#a19a46cfd6ea079bca9538e862042a891">getModifiedTime</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;filename)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Archive.html#aa4860f997861f44b61a436d55cdcc66b">getName</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the name of this archive.  <a href="#aa4860f997861f44b61a436d55cdcc66b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Archive.html#aac59f4ba4e35fe3bf8820117593d0998">isReadOnly</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Reports whether this <a class="el" href="classOgre_1_1Archive.html" title="Archive-handling class.">Archive</a> is read-only, or whether the contents can be updated.  <a href="#aac59f4ba4e35fe3bf8820117593d0998"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Archive.html#ab0fe79a8deba20a1cc1301f68805b621">getType</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Return the type code of this <a class="el" href="classOgre_1_1Archive.html" title="Archive-handling class.">Archive</a>.  <a href="#ab0fe79a8deba20a1cc1301f68805b621"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">operator new, with debug line info  <a href="#a421b197ca3a38da17e2eb1531a645fa2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a> (size_t sz, void *ptr)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">placement operator new  <a href="#ab78a921e54419be677839cdf15d1f0b8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">array operator new, with debug line info  <a href="#a4be37baef81876985aa1071ad5acc6dd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a> (void *ptr, void *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td colspan="2"><h2><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1FileSystemArchive.html#ae1e6d89d5edc833b8ea5ef74d32a5ad1">setIgnoreHidden</a> (bool ignore)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set whether filesystem enumeration will include hidden files or not.  <a href="#ae1e6d89d5edc833b8ea5ef74d32a5ad1"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1FileSystemArchive.html#a79c4957064dc9858d3abdc87ebadfe7c">getIgnoreHidden</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get whether hidden files are ignored during filesystem enumeration.  <a href="#a79c4957064dc9858d3abdc87ebadfe7c"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pub-static-attribs"></a>
Static Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1FileSystemArchive.html#a197c16fb380d5d245f27ede38eadcb5a">msIgnoreHidden</a></td></tr>
<tr><td colspan="2"><h2><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1FileSystemArchive.html#a07f6957ba8ca4dbd6b18d6dbbc9ba227">findFiles</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;pattern, bool recursive, bool dirs, <a class="el" href="group__General.html#ga0899c03496d3c25c6555889aa76a78db">StringVector</a> *simpleList, <a class="el" href="group__Resources.html#ga80f17ac4d148a831fe015742d56727f9">FileInfoList</a> *detailList) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Utility method to retrieve all files in a directory matching pattern.  <a href="#a07f6957ba8ca4dbd6b18d6dbbc9ba227"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Archive.html#ab1e42e1a419b26b1b7c6f26b77dde5a3">mName</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="classOgre_1_1Archive.html" title="Archive-handling class.">Archive</a> name.  <a href="#ab1e42e1a419b26b1b7c6f26b77dde5a3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Archive.html#abf7ba39bebb760ce55d517aa289096fb">mType</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="classOgre_1_1Archive.html" title="Archive-handling class.">Archive</a> type code.  <a href="#abf7ba39bebb760ce55d517aa289096fb"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Archive.html#ad85bb767e01c492075ec5291c1b9f5c4">mReadOnly</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Read-only flag.  <a href="#ad85bb767e01c492075ec5291c1b9f5c4"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Specialisation of the <a class="el" href="classOgre_1_1Archive.html" title="Archive-handling class.">Archive</a> class to allow reading of files from filesystem folders / directories. </p>

<p>Definition at line <a class="el" href="OgreFileSystem_8h_source.html#l00047">47</a> of file <a class="el" href="OgreFileSystem_8h_source.html">OgreFileSystem.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="ad111ff8850ae6536219562a5906dc6de"></a><!-- doxytag: member="Ogre::FileSystemArchive::FileSystemArchive" ref="ad111ff8850ae6536219562a5906dc6de" args="(const String &amp;name, const String &amp;archType)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1FileSystemArchive.html#ad111ff8850ae6536219562a5906dc6de">Ogre::FileSystemArchive::FileSystemArchive</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>archType</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ad89960cb80cf490a23cab7b909ffa092"></a><!-- doxytag: member="Ogre::FileSystemArchive::~FileSystemArchive" ref="ad89960cb80cf490a23cab7b909ffa092" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1FileSystemArchive.html#ad89960cb80cf490a23cab7b909ffa092">Ogre::FileSystemArchive::~FileSystemArchive</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="ac58470bd175ac96f8ff85a8e40f39cb5"></a><!-- doxytag: member="Ogre::FileSystemArchive::create" ref="ac58470bd175ac96f8ff85a8e40f39cb5" args="(const String &amp;filename) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__Resources.html#ga8a2a961b4205aacff9c01e81e08d7781">DataStreamPtr</a> <a class="el" href="classOgre_1_1FileSystemArchive.html#ac58470bd175ac96f8ff85a8e40f39cb5">Ogre::FileSystemArchive::create</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>filename</em></td><td>)</td>
          <td> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Create a new file (or overwrite one already there). </p>
<dl class="note"><dt><b>Note:</b></dt><dd>If the archive is read-only then this method will fail. </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">filename</td><td>The fully qualified name of the file </td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>A shared pointer to a <a class="el" href="classOgre_1_1DataStream.html" title="General purpose class used for encapsulating the reading and writing of data.">DataStream</a> which can be used to read / write the file. </dd></dl>
 
<p>Reimplemented from <a class="el" href="classOgre_1_1Archive.html#a89cb3f2063d3d1920f2deac1934b3c22">Ogre::Archive</a>.</p>

</div>
</div>
<a class="anchor" id="afa703d83c696b6b78dc7efe8114e468e"></a><!-- doxytag: member="Ogre::FileSystemArchive::exists" ref="afa703d83c696b6b78dc7efe8114e468e" args="(const String &amp;filename)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1FileSystemArchive.html#afa703d83c696b6b78dc7efe8114e468e">Ogre::FileSystemArchive::exists</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>filename</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Find out if the named file exists (note: fully qualified filename required) </p>
 
<p>Implements <a class="el" href="classOgre_1_1Archive.html#adee2a6cd49a969e4329ea41eaa27e861">Ogre::Archive</a>.</p>

</div>
</div>
<a class="anchor" id="a47dc8d47bb6a6738a85f62f816bfd7f8"></a><!-- doxytag: member="Ogre::FileSystemArchive::find" ref="a47dc8d47bb6a6738a85f62f816bfd7f8" args="(const String &amp;pattern, bool recursive=true, bool dirs=false)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__General.html#gae6b84ceebcdcc285f37bf9fba216697d">StringVectorPtr</a> <a class="el" href="classOgre_1_1FileSystemArchive.html#a47dc8d47bb6a6738a85f62f816bfd7f8">Ogre::FileSystemArchive::find</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>pattern</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>recursive</em> = <code>true</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>dirs</em> = <code>false</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Find all file or directory names matching a given pattern in this archive. </p>
<dl class="note"><dt><b>Note:</b></dt><dd>This method only returns filenames, you can also retrieve other information using findFileInfo. </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">pattern</td><td>The pattern to search for; wildcards (*) are allowed </td></tr>
    <tr><td class="paramname">recursive</td><td>Whether all paths of the archive are searched (if the archive has a concept of that) </td></tr>
    <tr><td class="paramname">dirs</td><td>Set to true if you want the directories to be listed instead of files </td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>A list of filenames matching the criteria, all are fully qualified </dd></dl>
 
<p>Implements <a class="el" href="classOgre_1_1Archive.html#a864dc708cbb78b00e7fd8053a8ad28fa">Ogre::Archive</a>.</p>

</div>
</div>
<a class="anchor" id="a10778a57909649da7e62a6eff23e4a43"></a><!-- doxytag: member="Ogre::FileSystemArchive::findFileInfo" ref="a10778a57909649da7e62a6eff23e4a43" args="(const String &amp;pattern, bool recursive=true, bool dirs=false) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__Resources.html#ga98a851530d714bac278ff907738ac643">FileInfoListPtr</a> <a class="el" href="classOgre_1_1FileSystemArchive.html#a10778a57909649da7e62a6eff23e4a43">Ogre::FileSystemArchive::findFileInfo</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>pattern</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>recursive</em> = <code>true</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>dirs</em> = <code>false</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Find all files or directories matching a given pattern in this archive and get some detailed information about them. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">pattern</td><td>The pattern to search for; wildcards (*) are allowed </td></tr>
    <tr><td class="paramname">recursive</td><td>Whether all paths of the archive are searched (if the archive has a concept of that) </td></tr>
    <tr><td class="paramname">dirs</td><td>Set to true if you want the directories to be listed instead of files </td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>A list of file information structures for all files matching the criteria. </dd></dl>
 
<p>Implements <a class="el" href="classOgre_1_1Archive.html#a97f9929a9f3bafe00ede46256948ebad">Ogre::Archive</a>.</p>

</div>
</div>
<a class="anchor" id="a07f6957ba8ca4dbd6b18d6dbbc9ba227"></a><!-- doxytag: member="Ogre::FileSystemArchive::findFiles" ref="a07f6957ba8ca4dbd6b18d6dbbc9ba227" args="(const String &amp;pattern, bool recursive, bool dirs, StringVector *simpleList, FileInfoList *detailList) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1FileSystemArchive.html#a07f6957ba8ca4dbd6b18d6dbbc9ba227">Ogre::FileSystemArchive::findFiles</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>pattern</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>recursive</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>dirs</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__General.html#ga0899c03496d3c25c6555889aa76a78db">StringVector</a> *&#160;</td>
          <td class="paramname"><em>simpleList</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__Resources.html#ga80f17ac4d148a831fe015742d56727f9">FileInfoList</a> *&#160;</td>
          <td class="paramname"><em>detailList</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const<code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Utility method to retrieve all files in a directory matching pattern. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">pattern</td><td>File pattern </td></tr>
    <tr><td class="paramname">recursive</td><td>Whether to cascade down directories </td></tr>
    <tr><td class="paramname">dirs</td><td>Set to true if you want the directories to be listed instead of files </td></tr>
    <tr><td class="paramname">simpleList</td><td>Populated if retrieving a simple list </td></tr>
    <tr><td class="paramname">detailList</td><td>Populated if retrieving a detailed list </td></tr>
    <tr><td class="paramname">currentDir</td><td>The current directory relative to the base of the archive, for file naming </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a79c4957064dc9858d3abdc87ebadfe7c"></a><!-- doxytag: member="Ogre::FileSystemArchive::getIgnoreHidden" ref="a79c4957064dc9858d3abdc87ebadfe7c" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static bool <a class="el" href="classOgre_1_1FileSystemArchive.html#a79c4957064dc9858d3abdc87ebadfe7c">Ogre::FileSystemArchive::getIgnoreHidden</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get whether hidden files are ignored during filesystem enumeration. </p>

<p>Definition at line <a class="el" href="OgreFileSystem_8h_source.html#l00114">114</a> of file <a class="el" href="OgreFileSystem_8h_source.html">OgreFileSystem.h</a>.</p>

</div>
</div>
<a class="anchor" id="a19a46cfd6ea079bca9538e862042a891"></a><!-- doxytag: member="Ogre::FileSystemArchive::getModifiedTime" ref="a19a46cfd6ea079bca9538e862042a891" args="(const String &amp;filename)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">time_t <a class="el" href="classOgre_1_1FileSystemArchive.html#a19a46cfd6ea079bca9538e862042a891">Ogre::FileSystemArchive::getModifiedTime</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>filename</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Retrieve the modification time of a given file. </p>
 
<p>Implements <a class="el" href="classOgre_1_1Archive.html#a4dfb3997d1a088f414d2146218c56d74">Ogre::Archive</a>.</p>

</div>
</div>
<a class="anchor" id="aa4860f997861f44b61a436d55cdcc66b"></a><!-- doxytag: member="Ogre::FileSystemArchive::getName" ref="aa4860f997861f44b61a436d55cdcc66b" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; <a class="el" href="classOgre_1_1Archive.html#aa4860f997861f44b61a436d55cdcc66b">Ogre::Archive::getName</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the name of this archive. </p>

<p>Definition at line <a class="el" href="OgreArchive_8h_source.html#l00109">109</a> of file <a class="el" href="OgreArchive_8h_source.html">OgreArchive.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab0fe79a8deba20a1cc1301f68805b621"></a><!-- doxytag: member="Ogre::FileSystemArchive::getType" ref="ab0fe79a8deba20a1cc1301f68805b621" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; <a class="el" href="classOgre_1_1Archive.html#ab0fe79a8deba20a1cc1301f68805b621">Ogre::Archive::getType</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Return the type code of this <a class="el" href="classOgre_1_1Archive.html" title="Archive-handling class.">Archive</a>. </p>

<p>Definition at line <a class="el" href="OgreArchive_8h_source.html#l00232">232</a> of file <a class="el" href="OgreArchive_8h_source.html">OgreArchive.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac3a99075db0a1e06ee0a856dfa05f5a9"></a><!-- doxytag: member="Ogre::FileSystemArchive::isCaseSensitive" ref="ac3a99075db0a1e06ee0a856dfa05f5a9" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1FileSystemArchive.html#ac3a99075db0a1e06ee0a856dfa05f5a9">Ogre::FileSystemArchive::isCaseSensitive</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Returns whether this archive is case sensitive in the way it matches files. </p>
 
<p>Implements <a class="el" href="classOgre_1_1Archive.html#a4169eee25281ebb54adeb9f06d9a7d80">Ogre::Archive</a>.</p>

</div>
</div>
<a class="anchor" id="aac59f4ba4e35fe3bf8820117593d0998"></a><!-- doxytag: member="Ogre::FileSystemArchive::isReadOnly" ref="aac59f4ba4e35fe3bf8820117593d0998" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="classOgre_1_1Archive.html#aac59f4ba4e35fe3bf8820117593d0998">Ogre::Archive::isReadOnly</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Reports whether this <a class="el" href="classOgre_1_1Archive.html" title="Archive-handling class.">Archive</a> is read-only, or whether the contents can be updated. </p>

<p>Definition at line <a class="el" href="OgreArchive_8h_source.html#l00133">133</a> of file <a class="el" href="OgreArchive_8h_source.html">OgreArchive.h</a>.</p>

</div>
</div>
<a class="anchor" id="a5907d6e8da20de62af12d564d9fbd279"></a><!-- doxytag: member="Ogre::FileSystemArchive::list" ref="a5907d6e8da20de62af12d564d9fbd279" args="(bool recursive=true, bool dirs=false)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__General.html#gae6b84ceebcdcc285f37bf9fba216697d">StringVectorPtr</a> <a class="el" href="classOgre_1_1FileSystemArchive.html#a5907d6e8da20de62af12d564d9fbd279">Ogre::FileSystemArchive::list</a> </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>recursive</em> = <code>true</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>dirs</em> = <code>false</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>List all file names in the archive. </p>
<dl class="note"><dt><b>Note:</b></dt><dd>This method only returns filenames, you can also retrieve other information using listFileInfo. </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">recursive</td><td>Whether all paths of the archive are searched (if the archive has a concept of that) </td></tr>
    <tr><td class="paramname">dirs</td><td>Set to true if you want the directories to be listed instead of files </td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>A list of filenames matching the criteria, all are fully qualified </dd></dl>
 
<p>Implements <a class="el" href="classOgre_1_1Archive.html#a777370220240813a2595689c913dec16">Ogre::Archive</a>.</p>

</div>
</div>
<a class="anchor" id="aebb587510a65222aca84fa6f8eb69e0f"></a><!-- doxytag: member="Ogre::FileSystemArchive::listFileInfo" ref="aebb587510a65222aca84fa6f8eb69e0f" args="(bool recursive=true, bool dirs=false)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__Resources.html#ga98a851530d714bac278ff907738ac643">FileInfoListPtr</a> <a class="el" href="classOgre_1_1FileSystemArchive.html#aebb587510a65222aca84fa6f8eb69e0f">Ogre::FileSystemArchive::listFileInfo</a> </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>recursive</em> = <code>true</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>dirs</em> = <code>false</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>List all files in the archive with accompanying information. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">recursive</td><td>Whether all paths of the archive are searched (if the archive has a concept of that) </td></tr>
    <tr><td class="paramname">dirs</td><td>Set to true if you want the directories to be listed instead of files </td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>A list of structures detailing quite a lot of information about all the files in the archive. </dd></dl>
 
<p>Implements <a class="el" href="classOgre_1_1Archive.html#a5c1747f4ab92962a5528a263c714dc31">Ogre::Archive</a>.</p>

</div>
</div>
<a class="anchor" id="af3fbf5feb7c3875831d22808b3545d75"></a><!-- doxytag: member="Ogre::FileSystemArchive::load" ref="af3fbf5feb7c3875831d22808b3545d75" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1FileSystemArchive.html#af3fbf5feb7c3875831d22808b3545d75">Ogre::FileSystemArchive::load</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Loads the archive. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>This initializes all the internal data of the class. </dd></dl>
<dl class="warning"><dt><b>Warning:</b></dt><dd>Do not call this function directly, it is meant to be used only by the <a class="el" href="classOgre_1_1ArchiveManager.html" title="This class manages the available ArchiveFactory plugins.">ArchiveManager</a> class. </dd></dl>
 
<p>Implements <a class="el" href="classOgre_1_1Archive.html#a6a073d74d1fab7d5499a35fab466c1b3">Ogre::Archive</a>.</p>

</div>
</div>
<a class="anchor" id="a53b2148b88615cbeeabe7ea33125367e"></a><!-- doxytag: member="Ogre::FileSystemArchive::open" ref="a53b2148b88615cbeeabe7ea33125367e" args="(const String &amp;filename, bool readOnly=true) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__Resources.html#ga8a2a961b4205aacff9c01e81e08d7781">DataStreamPtr</a> <a class="el" href="classOgre_1_1FileSystemArchive.html#a53b2148b88615cbeeabe7ea33125367e">Ogre::FileSystemArchive::open</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>filename</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>readOnly</em> = <code>true</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Open a stream on a given file. </p>
<dl class="note"><dt><b>Note:</b></dt><dd>There is no equivalent 'close' method; the returned stream controls the lifecycle of this file operation. </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">filename</td><td>The fully qualified name of the file </td></tr>
    <tr><td class="paramname">readOnly</td><td>Whether to open the file in read-only mode or not (note, if the archive is read-only then this cannot be set to false) </td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>A shared pointer to a <a class="el" href="classOgre_1_1DataStream.html" title="General purpose class used for encapsulating the reading and writing of data.">DataStream</a> which can be used to read / write the file. If the file is not present, returns a null shared pointer. </dd></dl>
 
<p>Implements <a class="el" href="classOgre_1_1Archive.html#a919327fffdf74b7bc02bab6821732cd1">Ogre::Archive</a>.</p>

</div>
</div>
<a class="anchor" id="a8357fe4fb4849772b94baa4bf47c7ded"></a><!-- doxytag: member="Ogre::FileSystemArchive::operator delete" ref="a8357fe4fb4849772b94baa4bf47c7ded" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00095">95</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1c727e879a260c37b00ce5505fe8e144"></a><!-- doxytag: member="Ogre::FileSystemArchive::operator delete" ref="a1c727e879a260c37b00ce5505fe8e144" args="(void *ptr, void *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00101">101</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="acb46d4b0a597156d9ba5abc39d127792"></a><!-- doxytag: member="Ogre::FileSystemArchive::operator delete" ref="acb46d4b0a597156d9ba5abc39d127792" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00107">107</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a93e6a86dde5483c053ca0f2a85bbfd6c"></a><!-- doxytag: member="Ogre::FileSystemArchive::operator delete[]" ref="a93e6a86dde5483c053ca0f2a85bbfd6c" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00112">112</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a595ea4c05da8aa987d3800e65d23355d"></a><!-- doxytag: member="Ogre::FileSystemArchive::operator delete[]" ref="a595ea4c05da8aa987d3800e65d23355d" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00118">118</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a421b197ca3a38da17e2eb1531a645fa2"></a><!-- doxytag: member="Ogre::FileSystemArchive::operator new" ref="a421b197ca3a38da17e2eb1531a645fa2" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00067">67</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac4bdf968b7b9af8a5239a27da73d5711"></a><!-- doxytag: member="Ogre::FileSystemArchive::operator new" ref="ac4bdf968b7b9af8a5239a27da73d5711" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00072">72</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab78a921e54419be677839cdf15d1f0b8"></a><!-- doxytag: member="Ogre::FileSystemArchive::operator new" ref="ab78a921e54419be677839cdf15d1f0b8" args="(size_t sz, void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>placement operator new </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00078">78</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4be37baef81876985aa1071ad5acc6dd"></a><!-- doxytag: member="Ogre::FileSystemArchive::operator new[]" ref="a4be37baef81876985aa1071ad5acc6dd" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>array operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00085">85</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="afa2943846ba6a2b5824a12857139cf5e"></a><!-- doxytag: member="Ogre::FileSystemArchive::operator new[]" ref="afa2943846ba6a2b5824a12857139cf5e" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00090">90</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a8576281dcd1f2714458bf729bc8f497a"></a><!-- doxytag: member="Ogre::FileSystemArchive::remove" ref="a8576281dcd1f2714458bf729bc8f497a" args="(const String &amp;filename) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1FileSystemArchive.html#a8576281dcd1f2714458bf729bc8f497a">Ogre::FileSystemArchive::remove</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>filename</em></td><td>)</td>
          <td> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
 
<p>Reimplemented from <a class="el" href="classOgre_1_1Archive.html#af0144235a0da9fe837138c7482e2b7aa">Ogre::Archive</a>.</p>

</div>
</div>
<a class="anchor" id="ae1e6d89d5edc833b8ea5ef74d32a5ad1"></a><!-- doxytag: member="Ogre::FileSystemArchive::setIgnoreHidden" ref="ae1e6d89d5edc833b8ea5ef74d32a5ad1" args="(bool ignore)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static void <a class="el" href="classOgre_1_1FileSystemArchive.html#ae1e6d89d5edc833b8ea5ef74d32a5ad1">Ogre::FileSystemArchive::setIgnoreHidden</a> </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>ignore</em></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set whether filesystem enumeration will include hidden files or not. </p>
<p>This should be called prior to declaring and/or initializing filesystem resource locations. The default is true (ignore hidden files). </p>

<p>Definition at line <a class="el" href="OgreFileSystem_8h_source.html#l00108">108</a> of file <a class="el" href="OgreFileSystem_8h_source.html">OgreFileSystem.h</a>.</p>

</div>
</div>
<a class="anchor" id="a8364eb430fccfbe249b64c0dd29c2cb5"></a><!-- doxytag: member="Ogre::FileSystemArchive::unload" ref="a8364eb430fccfbe249b64c0dd29c2cb5" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1FileSystemArchive.html#a8364eb430fccfbe249b64c0dd29c2cb5">Ogre::FileSystemArchive::unload</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Unloads the archive. </p>
<dl class="warning"><dt><b>Warning:</b></dt><dd>Do not call this function directly, it is meant to be used only by the <a class="el" href="classOgre_1_1ArchiveManager.html" title="This class manages the available ArchiveFactory plugins.">ArchiveManager</a> class. </dd></dl>
 
<p>Implements <a class="el" href="classOgre_1_1Archive.html#a5c2927f6a35441ea77262f95e4b0a6a0">Ogre::Archive</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="ab1e42e1a419b26b1b7c6f26b77dde5a3"></a><!-- doxytag: member="Ogre::FileSystemArchive::mName" ref="ab1e42e1a419b26b1b7c6f26b77dde5a3" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1Archive.html#ab1e42e1a419b26b1b7c6f26b77dde5a3">Ogre::Archive::mName</a><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p><a class="el" href="classOgre_1_1Archive.html" title="Archive-handling class.">Archive</a> name. </p>

<p>Definition at line <a class="el" href="OgreArchive_8h_source.html#l00091">91</a> of file <a class="el" href="OgreArchive_8h_source.html">OgreArchive.h</a>.</p>

</div>
</div>
<a class="anchor" id="ad85bb767e01c492075ec5291c1b9f5c4"></a><!-- doxytag: member="Ogre::FileSystemArchive::mReadOnly" ref="ad85bb767e01c492075ec5291c1b9f5c4" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1Archive.html#ad85bb767e01c492075ec5291c1b9f5c4">Ogre::Archive::mReadOnly</a><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Read-only flag. </p>

<p>Definition at line <a class="el" href="OgreArchive_8h_source.html#l00095">95</a> of file <a class="el" href="OgreArchive_8h_source.html">OgreArchive.h</a>.</p>

</div>
</div>
<a class="anchor" id="a197c16fb380d5d245f27ede38eadcb5a"></a><!-- doxytag: member="Ogre::FileSystemArchive::msIgnoreHidden" ref="a197c16fb380d5d245f27ede38eadcb5a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1FileSystemArchive.html#a197c16fb380d5d245f27ede38eadcb5a">Ogre::FileSystemArchive::msIgnoreHidden</a><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreFileSystem_8h_source.html#l00119">119</a> of file <a class="el" href="OgreFileSystem_8h_source.html">OgreFileSystem.h</a>.</p>

</div>
</div>
<a class="anchor" id="abf7ba39bebb760ce55d517aa289096fb"></a><!-- doxytag: member="Ogre::FileSystemArchive::mType" ref="abf7ba39bebb760ce55d517aa289096fb" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1Archive.html#abf7ba39bebb760ce55d517aa289096fb">Ogre::Archive::mType</a><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p><a class="el" href="classOgre_1_1Archive.html" title="Archive-handling class.">Archive</a> type code. </p>

<p>Definition at line <a class="el" href="OgreArchive_8h_source.html#l00093">93</a> of file <a class="el" href="OgreArchive_8h_source.html">OgreArchive.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreFileSystem_8h_source.html">OgreFileSystem.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:56
</p>
</body>
</html>
